﻿SELECT COUNT(*) FROM ciclista;
SELECT COUNT(*) FROM ciclista WHERE nomequipo='banesto';
SELECT AVG(edad) FROM ciclista;
SELECT AVG(edad) FROM ciclista WHERE nomequipo='banesto';
SELECT AVG(edad),nomequipo FROM ciclista GROUP BY nomequipo;
SELECT COUNT(*),nomequipo FROM ciclista GROUP BY nomequipo;
SELECT COUNT(*) FROM puerto;
SELECT COUNT(*) FROM puerto WHERE altura>1500;
SELECT COUNT(*) AS nciclistas,nomequipo FROM ciclista GROUP BY nomequipo HAVING nciclistas>4;
SELECT nomequipo FROM ciclista WHERE edad BETWEEN 28 AND 32 GROUP BY nomequipo HAVING COUNT(*)>4;
SELECT COUNT(*) AS netapas,dorsal FROM etapa GROUP BY dorsal;
SELECT dorsal FROM etapa GROUP BY dorsal HAVING COUNT(*)>1;